<?php
include "scrinit.php";
include "logo.php";
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
<script type="text/javascript">
function popupCenter(pageURL, title, w, h) 
{
	var left = (screen.width / 2)  - (w / 2);
    var top  = (screen.height / 2) - (h / 2);
    var targetWin = window.open(pageURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no,scrollbars=yes, resizable=no, copyhistory=no, width=800, height=850, top='+top+', left='+left );
}

$(document).ready(function() {

  $('#f1').submit(function() {
     
    if ($(this).find('input[name="taxi"]').length == 0) 
	{
      alert('Πρέπει να κάνετε τουλάχιστον ΜΙΑ ΕΠΙΛΟΓΗ!');
      return false;
    }
    if($("#keimeno").val().trim().length < 1)
    {
       alert("Δεν Έχετε γράψει Ανακοίνωση!");
       return false; 
    }
	

  });
		
});	

function submitform()
{
    document.forms["anakoinosimath1"].submit();
}

function pop_up(url){
window.open(url,'win2','status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=no, width=1000, height=600, directories=no,location=no') 
}
</script>

<title>Ανακοινώσεις Μαθητών</title>
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:10pt; }
<p style="font-size:10px;"></p>
</style>
</head>
<body>
<h2>ΚΑΤΑΧΩΡΙΣΗ ΑΝΑΚΟΙΝΩΣΗΣ ΜΑΘΗΤΩΝ</h2>
<?php
require "dbconnect.php"; 
$usr=$_SESSION['usr'];
$dt=$_SESSION['dt'];
$datein=$dt;
$dateout=$dt;
$sql = $dbcon->prepare("SELECT Name,access FROM teachers where PMP=? ");
$sql->execute([$usr]);
$row=$sql->fetch(PDO::FETCH_ASSOC);
$yp=$row['Name'];
$ac=$row['access'];
$words = explode(" ",$yp);
$acro = "";
foreach(explode(' ', $yp) as $word) $acro .= mb_substr($word, 0, 1, 'utf-8');
if ($ac==4)
{$acro=" (Δτής)";}
elseif ($ac==3)
{ $acro=" (".$acro." ΒΔΑ)";}
else if ($ac==2)
{ $acro=" (".$acro." ΒΔ)";}
?>
<form method="post" >
ΕΠΙΛΟΓΗ ΤΑΞΗΣ:<select name="taxi">
		 <option value="Α">Α</option>
		 <option value="Β">Β</option>
		 <option value="Γ">Γ</option>
		 <option value="Ο">ΟΛΟΥΣ</option>
	 </select>
&nbsp;&nbsp;&nbsp
<input type="submit" name="submit1" value="Επιβεβαίωση Επιλογής" >
</form>
<?php

if(isset($_POST['submit1']))
{
	$taxi=$_POST['taxi'];
	$dt=$_SESSION['dt'];
	$datein=$dt;
	$dateout=$dt;
	?>
	<form name="f1" action="anakoinosimath1.php" id="f1" method="POST" enctype="multipart/form-data" accept-charset="UTF-8">
	Ημερομηνία Έναρξης : <input type="date" name="datein" value= <?php echo $datein; ?>  />
	Ημερομηνία Λήξης : <input type="date" name="dateout" value=<?php echo $dateout; ?> /><br>

	
	<p>
	<?php
	echo "<table style='width:300px' class='myTable' >
	<tr style='border:1px solid black' bgcolor='#adcd82'  >
	<th>Κείμενο Ανακοίνωσης</th>
	<th>Αρχείο Ανακοίνωσης</th>
	</tr>";
	echo "<tr>";
	echo "<td>"; 
	echo "<textarea name='keimeno' id='keimeno' cols='60' rows='5'> $keimeno </textarea >"."<br >";
	echo "</td>";
	echo "<td>"; 
	?>
	<input type="file" name="upfile" />
	<?php
	echo "</td>"; 
	echo "</tr>";
	echo "</table>";
	?>
	<input type="hidden" name="acro" value=<?php echo $acro;?> >
	<input type="hidden" name="taxi" value=<?php echo $taxi;?> >
	</p>
	<input type="submit" name="anakoinosi" value="Καταχώρηση Ανακοίνωσης" />
	</form>
<?php
}
?>
<br>
<a  href=<?php echo $menu;?> style="color:blue" > <button style="color:blue"> Επιστροφή στο Μενού </button></a>
</body>
</html>